Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSectionIntensityMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a set of profile intensity arrays.

Note
  Supported with G3

Inheritance diagram for GoSectionIntensityMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32s | GoSectionIntensityMsg_AnglePose (GoSectionIntensityMsg msg)
| Gets the Pose Angle, in microdegrees. More...
k8u * | GoSectionIntensityMsg_At (GoSectionIntensityMsg msg, kSize index)
| Gets a pointer to a Section intensity array. More...
kSize | GoSectionIntensityMsg_Count (GoSectionIntensityMsg msg)
| Gets the count of section arrays in this message. More...
k32u | GoSectionIntensityMsg_Exposure (GoSectionIntensityMsg msg)
| Gets the exposure. More...
k32u | GoSectionIntensityMsg_Id (GoSectionIntensityMsg msg)
| Gets the section ID. More...
GoDataSource | GoSectionIntensityMsg_Source (GoSectionIntensityMsg msg)
| Gets the section source. More...
kSize | GoSectionIntensityMsg_Width (GoSectionIntensityMsg msg)
| Gets the count of points in each section array. More...
k32s | GoSectionIntensityMsg_XOffset (GoSectionIntensityMsg msg)
| Gets the x-offset, in micrometers. More...
k32s | GoSectionIntensityMsg_XPose (GoSectionIntensityMsg msg)
| Gets the X-Pose, in micrometers. More...
k32u | GoSectionIntensityMsg_XResolution (GoSectionIntensityMsg msg)
| Gets the x-resolution, in nanometers. More...
k32s | GoSectionIntensityMsg_YPose (GoSectionIntensityMsg msg)
| Gets the Y-Pose, in micrometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h